aboutsummaryrefslogtreecommitdiffstats
path: root/main/ruby-activerecord4.2/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2015-03-25 20:28:05 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2015-03-26 14:21:43 +0000
commitdab35f33958204d9301368700c785e90eff8475b (patch)
tree546caca336c0c19306f33af2ed2bff45521bc594 /main/ruby-activerecord4.2/APKBUILD
parent426b3c23dd67cbc44a81fb7eeb1724f4a5fb099e (diff)
downloadaports-dab35f33958204d9301368700c785e90eff8475b.tar.gz
aports-dab35f33958204d9301368700c785e90eff8475b.tar.bz2
aports-dab35f33958204d9301368700c785e90eff8475b.tar.xz
main/ruby-activerecord4.2: rename and upgrade to 4.2.1
Diffstat (limited to 'main/ruby-activerecord4.2/APKBUILD')
-rw-r--r--main/ruby-activerecord4.2/APKBUILD39
1 files changed, 39 insertions, 0 deletions
diff --git a/main/ruby-activerecord4.2/APKBUILD b/main/ruby-activerecord4.2/APKBUILD
new file mode 100644
index 0000000000..9c631128f7
--- /dev/null
+++ b/main/ruby-activerecord4.2/APKBUILD
@@ -0,0 +1,39 @@
+# Contributor: Carlo Landmeter <clandmeter@gmail.com>
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+_gemname=activerecord
+pkgname=ruby-${_gemname}4.2
+pkgver=4.2.1
+pkgrel=0
+pkgdesc="Ruby ActiveRecord pattern (Fowler, PoEAA) for ORM"
+url="http://rubygems.org/gems/activerecord"
+arch="noarch"
+license="GPL"
+depends="ruby ruby-activemodel4.2 ruby-activesupport4.2
+ ruby-arel"
+depends_dev=
+makedepends="$depends_dev ruby"
+install=""
+subpackages=""
+source="http://gems.rubyforge.org/gems/$_gemname-$pkgver.gem"
+
+_builddir="$srcdir"/$_realname-$pkgver
+build() {
+ return 0
+}
+
+package() {
+ local _gemdir="$(ruby -rubygems -e'puts Gem.default_dir')"
+ local _geminstdir=$_gemdir/gems/$_gemname-$pkgver
+ mkdir -p "$pkgdir" || return 1
+
+ gem install --local --install-dir "$pkgdir"/$_gemdir \
+ --ignore-dependencies --verbose --no-rdoc --no-ri \
+ "$srcdir"/$_gemname-$pkgver.gem || return 1
+ rm -rf "$pkgdir"/$_gemdir/cache \
+ "$pkgdir"/$_geminstdir/ext \
+ "$pkgdir"/$_geminstdir/.require_paths
+}
+
+md5sums="f0eef4d20f832754d3efd6787d78606a activerecord-4.2.1.gem"
+sha256sums="5febff6cb42c0fb94bb7708ad7df7f9ef6d365a27ef35c239674d651013c6cf2 activerecord-4.2.1.gem"
+sha512sums="bc40e74622c0596c2414357cd456fc7a741181a93a291f3794b3a137a80933a47c27a625a339f1092198c2f14175112dd54f0e0aa50e74d526dd291de360fbbe activerecord-4.2.1.gem"